#include "guess.h"
#include <bits/stdc++.h>
using namespace std;
int find_number(int MAX) {
    int a=1;
    int b=MAX+1;
    while(a+1<b){
        int mid=(a+b)/2;
        if(smaller(mid)){
            b=mid;
            else a=mid;
        }
    }
    return a;
}

